Loading...
Searching...
No Matches
RDKit::MolOps::Hybridizations Class Reference

`#include <MolOps.h>`

## Public Member Functions

| Hybridizations ()
| Hybridizations (const ROMol &mol)
| Hybridizations (const Hybridizations &)
| ~Hybridizations ()=default
Atom::HybridizationType | operator[] (int idx)
unsigned int | size () const

## Detailed Description

Definition at line 1050 of file MolOps.h.

## Constructor & Destructor Documentation

## Hybridizations() [1/3]

RDKit::MolOps::Hybridizations::Hybridizations | ( |  | ) |

inline

Definition at line 1052 of file MolOps.h.

Referenced by Hybridizations().

## Hybridizations() [2/3]

RDKit::MolOps::Hybridizations::Hybridizations | ( | const ROMol & | mol | ) |

## Hybridizations() [3/3]

RDKit::MolOps::Hybridizations::Hybridizations | ( | const Hybridizations & |  | ) |

inline

Definition at line 1056 of file MolOps.h.

References Hybridizations().

## ~Hybridizations()

RDKit::MolOps::Hybridizations::~Hybridizations | ( |  | ) |

default

## Member Function Documentation

## operator[]()

Atom::HybridizationType RDKit::MolOps::Hybridizations::operator[] | ( | int | idx | ) |

inline

Definition at line 1062 of file MolOps.h.

## size()

unsigned int RDKit::MolOps::Hybridizations::size | ( |  | ) | const

inline

Definition at line 1072 of file MolOps.h.

The documentation for this class was generated from the following file:

- MolOps.h